{% extends 'base.html' %}

{% block title %}
    Todo List
{% endblock title %}

{% block content %}
<main>
    <div>
        <h1>My Lists</h1>
        <p>
            <!-- href link to todo_list_create views.py function -->
            <a href="{% url 'todo_list_create' %}">Create a new list</a>
        </p>
        <p>
            <!-- href link to todo_item_create views.py function -->
            <a href="{% url 'todo_item_create' %}">Create a new item</a>
        </p>
        <table>
            <thead>
                <tr>
                    <!-- <th> tag for bold header row -->
                    <th>Name</th>
                    <th>Number of items</th>
                </tr>
            </thead>
            <tbody>
                <!-- access all instances of TodoList model -->
                <!-- by todo_list context key of todo_list_list view function
                    -->
                <!-- no () in HTML template to invoke .all method -->
                {% for item in todo_list.all %}
                <tr>
                    <!-- a tag to detail page -->
                    <td>
                        <!-- % url % tag specifes view name or path and any addtl parameters, i.e. item.id -->
                        <!-- view name="todo_list_detail" in urls path function -->
                        <!-- item.id is the unique identifier, i.e. id attribute value of current TodoList model instance -->
                        <!-- % url % tag uses view name and id attribute of current model instance to generate URL that links to detail.html of current TodoList instance -->
                        <a href="{% url 'todo_list_detail' id=item.id %}">{{ item.name }}</a>
                    </td>
                    <!-- show total num of items in TodoList instance -->
                    <td>
                        <!-- item is current TodoList instance of for loop -->
                        <!-- .items is ForeignKey related_name of TodoItem class in models.py -->
                        <!-- .count method counts number of item entries -->
                        {{ item.items.count }}
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock content %}
